using SteamWare;
using System;

namespace GMW.WebUserControls
{
    public partial class mod_execParticolari : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            traduciObj();
        }
        /// <summary>
        /// traduzione oggetti
        /// </summary>
        private void traduciObj()
        {
            btnGo2Mag.Text = traduci("btnGo2Mag");
            btnCreaListaPrelievo.Text = traduci("btnCreaListaPrelievo");
        }
        /// <summary>
        /// evento btnGoToMag
        /// </summary>
        public event EventHandler eh_btnGoToMagPressed;
        /// <summary>
        /// evento btn1
        /// </summary>
        public event EventHandler eh_btnListaPrelievoPressed;
        /// <summary>
        /// wrapper traduzione
        /// </summary>
        /// <param name="lemma"></param>
        /// <returns></returns>
        public string traduci(object lemma)
        {
            return user_std.UtSn.Traduci(lemma.ToString());
        }
        /// <summary>
        /// va a dettaglio magazzino...
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnGo2Mag_Click(object sender, EventArgs e)
        {
            // sollevo evento nuovo valore...
            if (eh_btnGoToMagPressed != null)
            {
                eh_btnGoToMagPressed(this, new EventArgs());
            }
        }
        /// <summary>
        /// crea listsa di prelievo x il particolare indicato (precompila...)
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnCreaListaPrelievo_Click(object sender, EventArgs e)
        {
            // sollevo evento nuovo valore...
            if (eh_btnListaPrelievoPressed != null)
            {
                eh_btnListaPrelievoPressed(this, new EventArgs());
            }
        }
    }
}